﻿// Created by Mark Cordell
// Last modified 2008-12-06
// NOTE: You need to change the connection string.
////////////////////////////
<%@ Page Language="C#" Title="MySql query" MasterPageFile="~/EncryptMaster.master" %>
<%@ Import Namespace="MySql.Data.MySqlClient" %>
<%@ Import Namespace="System.Text" %>

<script runat="server">
  protected void Page_Load(object sender, System.EventArgs e) {
    EncryptMaster master = this.Master as EncryptMaster;
    string req = master.GetDecryptedRequestData();
    if (!string.IsNullOrEmpty(req)) {
      StringBuilder sb = new StringBuilder();
      sb.Append("<pre>\r\nOutput:\r\n\r\n");
      using(MySqlConnection conn = new MySqlConnection("Server=localhost; Port=3306; Database=your_database; Uid=your_user; Pwd=your_password; Allow User Variables=true; Connect Timeout=30;")) {
        MySqlCommand cmd = new MySqlCommand(req, conn);
        conn.Open();
        MySqlDataReader rdr = cmd.ExecuteReader();
        while (true) {
          int row = 0;
          sb.Append("RecordsAffected: ");
          sb.Append(rdr.RecordsAffected);
          sb.Append("\r\n\r\n");
          while (rdr.Read()) {
            if (0 == row) {
              for (int i=0; i < rdr.FieldCount; i++) {
                sb.Append(rdr.GetName(i));
                sb.Append('\t');
              }
              sb.Append("\r\n");
            }
            for (int i=0; i < rdr.FieldCount; i++) {
              if (rdr.IsDBNull(i)) {
                sb.Append("NULL");
              } else {
                object o = rdr.GetValue(i);
                if (o is byte[]) o = Convert.ToBase64String((byte[])o);
                sb.Append(o ?? "");
              }
              sb.Append('\t');
            }
            sb.Append("\r\n");
            row++;
          }
          if (!rdr.NextResult()) {
            break;
          }
          sb.Append("\r\n\r\nNext result:\r\n\r\n");
        }
        conn.Close();
      }
      sb.Append("\r\n\r\n</pre>");
      master.EncryptAndWriteResponse(sb.ToString());
    }
  }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderTop" Runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolderForm" Runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ContentPlaceHolderBottom" Runat="Server">
</asp:Content>

